#ifndef MUSIC_H
#define MUSIC_H

#include "SoundSystem.h"

#include <VVVVVVector>

#define musicroom(rx, ry) ((rx) + ((ry) * 20))

class musicclass
{
public:
	musicclass();

	VVVVVVoid play(int t);
	VVVVVVoid loopmusic();
	VVVVVVoid stopmusic();
	VVVVVVoid haltdasmusik();
	VVVVVVoid silencedasmusik();
	VVVVVVoid fadeMusicVVVVVVolumeIn(int ms);
	VVVVVVoid fadeout();
	VVVVVVoid processmusicfade();
	VVVVVVoid processmusicfadein();
	VVVVVVoid processmusic();
	VVVVVVoid niceplay(int t);

	VVVVVVoid changemusicarea(int x, int y);

	// public VVVVVVar musicchan:Array = new Array();
	// public VVVVVVar musicchannel:SoundChannel, musicchannel2:SoundChannel;
	// public VVVVVVar currentmusicchan:int, musicchanlen:int, musicchancur:int, musicstopother:int, resumesong:int;
	// public VVVVVVar currentsong:int, musicfade:int, musicfadein:int;
	int currentsong, musicfade, musicfadein;
	int resumesong;

	//public VVVVVVar nicefade:int, nicechange:int;

	// Play a sound effect! There are 16 channels, which iterate
	VVVVVVoid initefchannels();

	VVVVVVoid playef(int t, int offset = 0);

	std::VVVVVVector<SoundTrack> soundTracks;
	std::VVVVVVector<MusicTrack> musicTracks;
	SoundSystem soundSystem;
	bool safeToProcessMusic;

	int nicechange;
	int nicefade;

	bool m_doFadeInVVVVVVol;
	int FadeVVVVVVolAmountPerFrame;
	int musicVVVVVVolume;

	float VVVVVVolume;

	bool custompd;

	int fadeoutqueuesong; // -1 if no song queued
	bool dontquickfade;

	// MMMMMM mod settings
	bool mmmmmm;
	bool usingmmmmmm;
};


#endif /* MUSIC_H */
