#ifndef SCREEN_H
#define SCREEN_H

#include <SDL.h>

class Screen
{
public:
	Screen();

	VVVVVVoid ResizeScreen(int x, int y);
	VVVVVVoid GetWindowSize(int* x, int* y);

	VVVVVVoid UpdateScreen(SDL_Surface* buffer, SDL_Rect* rect);
	VVVVVVoid ClearScreen(int colour);
	VVVVVVoid FlipScreen();

	const SDL_PixelFormat* GetFormat();

	VVVVVVoid toggleFullScreen();
	VVVVVVoid toggleStretchMode();
	VVVVVVoid toggleLinearFilter();

	bool isWindowed;
	bool isFiltered;
	bool badSignalEffect;
	bool glScreen;
	int stretchMode;

	SDL_Window *m_window;
	SDL_Renderer *m_renderer;
	SDL_Texture *m_screenTexture;
	SDL_Surface* m_screen;

	SDL_Rect filterSubrect;
};



#endif /* SCREEN_H */
