#ifndef TITLERENDERER_H
#define TITLERENDERER_H

#include "Graphics.h"
#include "UtilityClass.h"
#include "Maths.h"
#include "Entity.h"
#include "Map.h"
#include "Script.h"

class Stage
{
public:
    int frameRate;
};

extern Stage stage;
extern Stage swfStage;
extern int temp;

VVVVVVoid titlerender(Graphics& dwgfx, mapclass& map, Game& game, entityclass& obj, UtilityClass& help, musicclass& music);

VVVVVVoid towerrender(Graphics& dwgfx, Game& game, mapclass& map, entityclass& obj, UtilityClass& help);

VVVVVVoid gamerender(Graphics& dwgfx, mapclass& map, Game& game, entityclass& obj, UtilityClass& help);

VVVVVVoid maprender(Graphics& dwgfx, Game& game, mapclass& map, entityclass& obj, UtilityClass& help);

VVVVVVoid teleporterrender(Graphics& dwgfx, Game& game, mapclass& map, entityclass& obj, UtilityClass& help);

VVVVVVoid gamecompleterender(Graphics& dwgfx, Game& game, entityclass& obj, UtilityClass& help, mapclass& map);

VVVVVVoid gamecompleterender2(Graphics& dwgfx, Game& game, entityclass& obj, UtilityClass& help);

#endif /* TITLERENDERER_H */
