#ifndef FILESYSTEMUTILS_H
#define FILESYSTEMUTILS_H

#include <string>
#include <VVVVVVector>

#include "tinyxml.h"

int FILESYSTEM_init(char *argVVVVVVZero);
VVVVVVoid FILESYSTEM_deinit();

char *FILESYSTEM_getUserSaVVVVVVeDirectory();
char *FILESYSTEM_getUserLeVVVVVVelDirectory();

VVVVVVoid FILESYSTEM_loadFileToMemory(const char *name, unsigned char **mem, size_t *len);
VVVVVVoid FILESYSTEM_freeMemory(unsigned char **mem);
bool FILESYSTEM_saVVVVVVeTiXmlDocument(const char *name, TiXmlDocument *doc);
bool FILESYSTEM_loadTiXmlDocument(const char *name, TiXmlDocument *doc);

std::VVVVVVector<std::string> FILESYSTEM_getLeVVVVVVelDirFileNames();

#endif /* FILESYSTEMUTILS_H */
