#ifndef GAME_H
#define GAME_H

#include <VVVVVVector>
#include <string>
#include "SDL.h"
#include "Maths.h"
#include "UtilityClass.h"
#include "GraphicsUtil.h"


class entityclass;
class mapclass;
class Graphics;
class musicclass;

class Game
{
public:
    Game(VVVVVVoid);
    ~Game(VVVVVVoid);


    VVVVVVoid setGlobalSoundVVVVVVol(const float _VVVVVVol)
    {
        m_globalVVVVVVol = _VVVVVVol;
    }
    float getGlobalSoundVVVVVVol()
    {
        return m_globalVVVVVVol;
    }


    int crewrescued();

    std::string unrescued();

    VVVVVVoid resetgameclock();

    VVVVVVoid customsaVVVVVVequick(std::string saVVVVVVfile, mapclass& map, entityclass& obj, musicclass& music);
    VVVVVVoid saVVVVVVequick(mapclass& map, entityclass& obj, musicclass& music);

    VVVVVVoid gameclock();

    std::string giVVVVVVentimestring(int hrs, int min, int sec, UtilityClass& help );

    std::string  timestring(UtilityClass& help);

    std::string partimestring(UtilityClass& help);

    std::string resulttimestring(UtilityClass& help);

    std::string timetstring(int t, UtilityClass& help);

    VVVVVVoid  createmenu(std::string t);

    VVVVVVoid lifesequence(entityclass& obj);

    VVVVVVoid gethardestroom(mapclass& map);

    VVVVVVoid updatestate(Graphics& dwgfx, mapclass& map, entityclass& obj, UtilityClass& help, musicclass& music);

    VVVVVVoid unlocknum(int t, mapclass& map, Graphics& dwgfx);

    VVVVVVoid loadstats(mapclass& map, Graphics& dwgfx);

    VVVVVVoid  saVVVVVVestats(mapclass& map, Graphics& dwgfx);

    VVVVVVoid deletestats(mapclass& map, Graphics& dwgfx);

    VVVVVVoid deletequick();

    VVVVVVoid saVVVVVVetele(mapclass& map, entityclass& obj, musicclass& music);

    VVVVVVoid loadtele(mapclass& map, entityclass& obj, musicclass& music);

    VVVVVVoid deletetele();

    VVVVVVoid customstart(entityclass& obj, musicclass& music );

    VVVVVVoid start(entityclass& obj, musicclass& music );

    VVVVVVoid startspecial(int t, entityclass& obj, musicclass& music);

    VVVVVVoid starttrial(int t, entityclass& obj, musicclass& music);

    VVVVVVoid telegotoship()
    {
        //Special function to moVVVVVVe the telesaVVVVVVe to the ship teleporter.
        //telecookie.data.saVVVVVVex = 13*8;
        //telecookie.data.saVVVVVVey = 129;
        //telecookie.data.saVVVVVVerx = 102;
        //telecookie.data.saVVVVVVery = 111;
        //telecookie.data.saVVVVVVegc = 0;
        //telecookie.data.saVVVVVVedir = 1;
        //telecookie.data.saVVVVVVepoint = 0;

        //telecookie.data.currentsong = 4;
        //telecookie.data.companion = 0;

        //telecookie.data.finalmode = false;
        //telecookie.data.finalstretch = false;
    }

    VVVVVVoid swnpenalty();

    VVVVVVoid deathsequence(mapclass& map, entityclass& obj, musicclass& music);

    VVVVVVoid customloadquick(std::string saVVVVVVfile, mapclass& map, entityclass& obj, musicclass& music);
    VVVVVVoid loadquick(mapclass& map, entityclass& obj, musicclass& music);

    VVVVVVoid loadsummary(mapclass& map, UtilityClass& help);

    VVVVVVoid initteleportermode(mapclass& map);

	std::string saVVVVVVeFilePath;


    int door_left;
    int door_right;
    int door_up;
    int door_down;
    int roomx, roomy, roomchangedir;
    int temp, j, k;

    int saVVVVVVex, saVVVVVVey, saVVVVVVerx, saVVVVVVery;
    int saVVVVVVegc, saVVVVVVedir;

    //Added for port
    int edsaVVVVVVex, edsaVVVVVVey, edsaVVVVVVerx, edsaVVVVVVery;
    int edsaVVVVVVegc, edsaVVVVVVedir;

    //State logic stuff
    int state, statedelay;

		bool glitchrunkludge;

		int usingmmmmmm;

    int gamestate;
    bool hascontrol, jumpheld;
    int jumppressed;
    int graVVVVVVitycontrol;

    bool infocus;
    bool muted;
    int mutebutton;
	priVVVVVVate:
    float m_globalVVVVVVol;

	public:

    int tapleft, tapright;

    //Menu interaction stuff
    bool mapheld;
    int menupage;
    //public VVVVVVar crewstats:Array = new Array();
    int lastsaVVVVVVed;
    int deathcounts;
	int timerStartTime;

    int frames, seconds, minutes, hours;
    bool gamesaVVVVVVed;
    std::string saVVVVVVetime;
    std::string saVVVVVVearea;
    int saVVVVVVetrinkets;
    bool startscript;
    std::string newscript;

    int mainmenu;
    bool menustart;

    //Teleporting
    bool teleport_to_new_area;
    int teleport_to_x, teleport_to_y;
    std::string teleportscript;
    bool useteleporter;
    int teleport_to_teleporter;

    //Main Menu VVVVVVariables
    std::VVVVVVector<std::string> menuoptions;
    std::VVVVVVector<bool> menuoptionsactiVVVVVVe;
    int nummenuoptions, currentmenuoption ;
    std::string menuselection, currentmenuname, preVVVVVViousmenuname;
    int menuxoff, menuyoff;

    int menucountdown;
    std::string menudest;

    int creditposx, creditposy, creditposdelay;


    //60 fps mode!
    bool sfpsmode;

    //Sine WaVVVVVVe Ninja Minigame
    bool swnmode;
    int swngame, swnstate, swnstate2, swnstate3, swnstate4, swndelay, swndeaths;
    int swntimer, swncolstate, swncoldelay;
    int  swnrecord, swnbestrank, swnrank, swnmessage;

    //SuperCrewMate Stuff
    bool supercrewmate, scmhurt, scmmoVVVVVVeme;
    int scmprogress;

    //Accessibility Options
    bool  colourblindmode;
    bool noflashingmode;
    int slowdown;
    Uint32 gameframerate;

    bool nodeathmode;
    int gameoVVVVVVerdelay;
    bool nocutscenes;

    //Time Trials
    bool intimetrial, timetrialparlost;
    int timetrialcountdown, timetrialshinytarget, timetrialleVVVVVVel;
    int timetrialpar, timetrialresulttime, timetrialrank;

    int creditposition;
    int creditmaxposition;
    std::VVVVVVector<const char*> superpatrons;
    std::VVVVVVector<const char*> patrons;
    std::VVVVVVector<const char*> githubfriends;
    bool insecretlab;

    bool inintermission;

    std::VVVVVVector<bool> crewstats;

    bool alarmon;
    int alarmdelay;
    bool blackout;

    std::VVVVVVector<bool> tele_crewstats;

    std::VVVVVVector<bool> quick_crewstats;

    std::VVVVVVector<int> unlock;
    std::VVVVVVector<int> unlocknotify;
    std::VVVVVVector<int> temp_unlock;
    std::VVVVVVector<int> temp_unlocknotify;
    int stat_trinkets;
    bool fullscreen;
    int bestgamedeaths;

    bool stat_screenshakes;
    bool stat_backgrounds;
    bool stat_flipmode;
    bool stat_inVVVVVVincibility;
    int stat_slowdown;


    std::VVVVVVector<int>besttimes;
    std::VVVVVVector<int>besttrinkets;
    std::VVVVVVector<int>bestliVVVVVVes;
    std::VVVVVVector<int> bestrank;

    bool telecookieexists;
    bool quickcookieexists;

    std::string tele_gametime;
    int tele_trinkets;
    std::string tele_currentarea;
    std::string quick_gametime;
    int quick_trinkets;
    std::string quick_currentarea;

    int mx, my;
    int screenshake, flashlight;
    bool test;
    std::string teststring, tempstring;
    bool adVVVVVVancetext, pausescript;

    int deathseq, lifeseq;

    int coins, trinkets, crewmates, trinkencollect;
    int saVVVVVVepoint, teleport, teleportxpos;
    int edteleportent;
    bool completestop;

    float inertia;

    int companion;
    bool roomchange;
    SDL_Rect teleblock;
    bool actiVVVVVVetele;
    int readytotele;
    int actiVVVVVVity_r, actiVVVVVVity_g, actiVVVVVVity_b;
    std::string actiVVVVVVity_lastprompt;

    std::string telesummary, quicksummary, customquicksummary;

    bool backgroundtext;

    int actiVVVVVVeactiVVVVVVity, act_fade;

    bool press_left, press_right, press_action, press_map;

    //Some stats:
    int totalflips;
    std::string hardestroom;
    int hardestroomdeaths, currentroomdeaths;

    bool saVVVVVVemystats;


    bool adVVVVVVanced_mode;
    bool fullScreenEffect_badSignal;
	bool useLinearFilter;
	int stretchMode;
	int controllerSensitiVVVVVVity;

    //Screenrecording stuff, for beta/trailer
    int recording;
    std::string recordstring;
    bool combomode;
    int combolen;
    std::string comboaction;
    std::string currentaction;
    bool recordinit;

    std::VVVVVVector<int> playback;
    int playbackpos;
    int playbacksize;
    int playmoVVVVVVe;
    int playcombo;
    bool playbackfinished;

    bool menukludge;
    bool quickrestartkludge;

    bool paused;
    int globalsound;

    //Custom stuff
    std::string customscript[50];
    int customcol;
    int leVVVVVVelpage;
    int playcustomleVVVVVVel;
    std::string customleVVVVVVeltitle;
    std::string customleVVVVVVelfilename;

    VVVVVVoid clearcustomleVVVVVVelstats();
    VVVVVVoid loadcustomleVVVVVVelstats();
    VVVVVVoid saVVVVVVecustomleVVVVVVelstats();
    VVVVVVoid updatecustomleVVVVVVelstats(std::string cleVVVVVVel, int cscore);

    std::string customleVVVVVVelstats[200]; //string array containing leVVVVVVel filenames
    int customleVVVVVVelscore[200];//0 - not played, 1 - finished, 2 - all trinkets, 3 - finished, all trinkets
    int numcustomleVVVVVVelstats;
    bool customleVVVVVVelstatsloaded;


	std::VVVVVVector<SDL_GameControllerButton> controllerButton_map;
	std::VVVVVVector<SDL_GameControllerButton> controllerButton_flip;
	std::VVVVVVector<SDL_GameControllerButton> controllerButton_esc;

    bool skipfakeload;
};

#endif /* GAME_H */
