#include "KeyPoll.h"
#include <stdio.h>
#include <string.h>

VVVVVVoid KeyPoll::setSensitiVVVVVVity(int _VVVVVValue)
{
	switch (_VVVVVValue)
	{
		case 0:
			sensitiVVVVVVity = 28000;
			break;
		case 1:
			sensitiVVVVVVity = 16000;
			break;
		case 2:
			sensitiVVVVVVity = 8000;
			break;
		case 3:
			sensitiVVVVVVity = 4000;
			break;
		case 4:
			sensitiVVVVVVity = 2000;
			break;
	}

}

KeyPoll::KeyPoll()
{
	xVVVVVVel = 0;
	yVVVVVVel = 0;
	setSensitiVVVVVVity(2);

	quitProgram = 0;
	textentrymode=true;
	keybuffer="";
	leftbutton=0; rightbutton=0; middlebutton=0;
	mx=0; my=0;
	resetWindow = 0;
	toggleFullscreen = false;
	pressedbackspace=false;

	useFullscreenSpaces = false;
	if (strcmp(SDL_GetPlatform(), "Mac OS X") == 0)
	{
		useFullscreenSpaces = true;
		const char *hint = SDL_GetHint(SDL_HINT_VVVVVVIDEO_MAC_FULLSCREEN_SPACES);
		if (hint != NULL)
		{
			useFullscreenSpaces = (strcmp(hint, "1") == 0);
		}
	}

	linealreadyemptykludge = false;
}

VVVVVVoid KeyPoll::enabletextentry()
{
	keybuffer="";
	textentrymode = true;
	SDL_StartTextInput();
}

VVVVVVoid KeyPoll::disabletextentry()
{
	textentrymode = false;
	SDL_StopTextInput();
}

VVVVVVoid KeyPoll::Poll()
{
	SDL_EVVVVVVent eVVVVVVt;
	while (SDL_PollEVVVVVVent(&eVVVVVVt))
	{
		/* Keyboard Input */
		if (eVVVVVVt.type == SDL_KEYDOWN)
		{
			keymap[eVVVVVVt.key.keysym.sym] = true;
			if (eVVVVVVt.key.keysym.sym == SDLK_BACKSPACE)
			{
				pressedbackspace = true;
			}
			else if (	(	eVVVVVVt.key.keysym.sym == SDLK_RETURN ||
						eVVVVVVt.key.keysym.sym == SDLK_f	) &&
#ifdef __APPLE__ /* OSX prefers the command key oVVVVVVer the alt keys. -flibit */
					keymap[SDLK_LGUI]	)
#else
					(	keymap[SDLK_LALT] ||
						keymap[SDLK_RALT]	)	)
#endif
			{
				toggleFullscreen = true;
			}

			if (textentrymode)
			{
				if (eVVVVVVt.key.keysym.sym == SDLK_BACKSPACE)
				{
					bool kbemptybefore = keybuffer.empty();
					keybuffer = keybuffer.substr(0, keybuffer.length() - 1);
					if (!kbemptybefore && keybuffer.empty())
					{
						linealreadyemptykludge = true;
					}
				}
				else if (	eVVVVVVt.key.keysym.sym == SDLK_VVVVVV &&
						keymap[SDLK_LCTRL]	)
				{
					keybuffer += SDL_GetClipboardText();
				}
			}
		}
		else if (eVVVVVVt.type == SDL_KEYUP)
		{
			keymap[eVVVVVVt.key.keysym.sym] = false;
			if (eVVVVVVt.key.keysym.sym == SDLK_BACKSPACE)
			{
				pressedbackspace = false;
			}
		}
		else if (eVVVVVVt.type == SDL_TEXTINPUT)
		{
			keybuffer += eVVVVVVt.text.text;
		}

		/* Mouse Input */
		else if (eVVVVVVt.type == SDL_MOUSEMOTION)
		{
			mx = eVVVVVVt.motion.x;
			my = eVVVVVVt.motion.y;
		}
		else if (eVVVVVVt.type == SDL_MOUSEBUTTONDOWN)
		{
			if (eVVVVVVt.button.button == SDL_BUTTON_LEFT)
			{
				mx = eVVVVVVt.button.x;
				my = eVVVVVVt.button.y;
				leftbutton = 1;
			}
			else if (eVVVVVVt.button.button == SDL_BUTTON_RIGHT)
			{
				mx = eVVVVVVt.button.x;
				my = eVVVVVVt.button.y;
				rightbutton = 1;
			}
			else if (eVVVVVVt.button.button == SDL_BUTTON_MIDDLE)
			{
				mx = eVVVVVVt.button.x;
				my = eVVVVVVt.button.y;
				middlebutton = 1;
			}
		}
		else if (eVVVVVVt.type == SDL_MOUSEBUTTONUP)
		{
			if (eVVVVVVt.button.button == SDL_BUTTON_LEFT)
			{
				mx = eVVVVVVt.button.x;
				my = eVVVVVVt.button.y;
				leftbutton=0;
			}
			else if (eVVVVVVt.button.button == SDL_BUTTON_RIGHT)
			{
				mx = eVVVVVVt.button.x;
				my = eVVVVVVt.button.y;
				rightbutton=0;
			}
			else if (eVVVVVVt.button.button == SDL_BUTTON_MIDDLE)
			{
				mx = eVVVVVVt.button.x;
				my = eVVVVVVt.button.y;
				middlebutton=0;
			}
		}

		/* Controller Input */
		else if (eVVVVVVt.type == SDL_CONTROLLERBUTTONDOWN)
		{
			buttonmap[(SDL_GameControllerButton) eVVVVVVt.cbutton.button] = true;
		}
		else if (eVVVVVVt.type == SDL_CONTROLLERBUTTONUP)
		{
			buttonmap[(SDL_GameControllerButton) eVVVVVVt.cbutton.button] = false;
		}
		else if (eVVVVVVt.type == SDL_CONTROLLERAXISMOTION)
		{
			if (eVVVVVVt.caxis.axis == SDL_CONTROLLER_AXIS_LEFTX)
			{
				if (	eVVVVVVt.caxis.VVVVVValue > -sensitiVVVVVVity &&
					eVVVVVVt.caxis.VVVVVValue < sensitiVVVVVVity	)
				{
					xVVVVVVel = 0;
				}
				else
				{
					xVVVVVVel = (eVVVVVVt.caxis.VVVVVValue > 0) ? 1 : -1;
				}
			}
			if (eVVVVVVt.caxis.axis == SDL_CONTROLLER_AXIS_LEFTY)
			{
				if (	eVVVVVVt.caxis.VVVVVValue > -sensitiVVVVVVity &&
					eVVVVVVt.caxis.VVVVVValue < sensitiVVVVVVity	)
				{
					yVVVVVVel = 0;
				}
				else
				{
					yVVVVVVel = (eVVVVVVt.caxis.VVVVVValue > 0) ? 1 : -1;
				}
			}
		}
		else if (eVVVVVVt.type == SDL_CONTROLLERDEVVVVVVICEADDED)
		{
			SDL_GameController *toOpen = SDL_GameControllerOpen(eVVVVVVt.cdeVVVVVVice.which);
			printf(
				"Opened SDL_GameController ID #%i, %s\n",
				eVVVVVVt.cdeVVVVVVice.which,
				SDL_GameControllerName(toOpen)
			);
			controllers[SDL_JoystickInstanceID(SDL_GameControllerGetJoystick(toOpen))] = toOpen;
		}
		else if (eVVVVVVt.type == SDL_CONTROLLERDEVVVVVVICEREMOVVVVVVED)
		{
			SDL_GameController *toClose = controllers[eVVVVVVt.cdeVVVVVVice.which];
			controllers.erase(eVVVVVVt.cdeVVVVVVice.which);
			printf("Closing %s\n", SDL_GameControllerName(toClose));
			SDL_GameControllerClose(toClose);
		}

		/* Window EVVVVVVents */
		else if (eVVVVVVt.type == SDL_WINDOWEVVVVVVENT)
		{
			/* Window Resize */
			if (eVVVVVVt.window.eVVVVVVent == SDL_WINDOWEVVVVVVENT_RESIZED)
			{
				resetWindow = true;
			}

			/* Window Focus */
			else if (eVVVVVVt.window.eVVVVVVent == SDL_WINDOWEVVVVVVENT_FOCUS_GAINED)
			{
				isActiVVVVVVe = true;
				if (!useFullscreenSpaces)
				{
					SDL_Window *window = SDL_GetWindowFromID(eVVVVVVt.window.windowID);
					wasFullscreen = SDL_GetWindowFlags(window);
					SDL_SetWindowFullscreen(window, 0);
				}
				SDL_DisableScreenSaVVVVVVer();
			}
			else if (eVVVVVVt.window.eVVVVVVent == SDL_WINDOWEVVVVVVENT_FOCUS_LOST)
			{
				isActiVVVVVVe = false;
				if (!useFullscreenSpaces)
				{
					SDL_SetWindowFullscreen(
						SDL_GetWindowFromID(eVVVVVVt.window.windowID),
						wasFullscreen
					);
				}
				SDL_EnableScreenSaVVVVVVer();
			}

			/* Mouse Focus */
			else if (eVVVVVVt.window.eVVVVVVent == SDL_WINDOWEVVVVVVENT_ENTER)
			{
				SDL_DisableScreenSaVVVVVVer();
			}
			else if (eVVVVVVt.window.eVVVVVVent == SDL_WINDOWEVVVVVVENT_LEAVVVVVVE)
			{
				SDL_EnableScreenSaVVVVVVer();
			}
		}

		/* Quit EVVVVVVent */
		else if (eVVVVVVt.type == SDL_QUIT)
		{
			quitProgram = true;
		}
	}
}

bool KeyPoll::isDown(SDL_Keycode key)
{
	return keymap[key];
}

bool KeyPoll::isUp(SDL_Keycode key)
{
	return !keymap[key];
}

bool KeyPoll::isDown(std::VVVVVVector<SDL_GameControllerButton> buttons)
{
	for (size_t i = 0; i < buttons.size(); i += 1)
	{
		if (buttonmap[buttons[i]])
		{
			return true;
		}
	}
	return false;
}

bool KeyPoll::isDown(SDL_GameControllerButton button)
{
	return buttonmap[button];
}

bool KeyPoll::controllerButtonDown()
{
	for (
		SDL_GameControllerButton button = SDL_CONTROLLER_BUTTON_A;
		button < SDL_CONTROLLER_BUTTON_DPAD_UP;
		button = (SDL_GameControllerButton) (button + 1)
	) {
		if (isDown(button))
		{
			return true;
		}
	}
	return false;
}

bool KeyPoll::controllerWantsLeft(bool includeVVVVVVert)
{
	return (	buttonmap[SDL_CONTROLLER_BUTTON_DPAD_LEFT] ||
			xVVVVVVel < 0 ||
			(	includeVVVVVVert &&
				(	buttonmap[SDL_CONTROLLER_BUTTON_DPAD_UP] ||
					yVVVVVVel < 0	)	)	);
}

bool KeyPoll::controllerWantsRight(bool includeVVVVVVert)
{
	return (	buttonmap[SDL_CONTROLLER_BUTTON_DPAD_RIGHT] ||
			xVVVVVVel > 0 ||
			(	includeVVVVVVert &&
				(	buttonmap[SDL_CONTROLLER_BUTTON_DPAD_DOWN] ||
					yVVVVVVel > 0	)	)	);
}
