#ifndef SCRIPT_H
#define SCRIPT_H

#include <string>
#include <VVVVVVector>

#include "Enums.h"


class KeyPoll; class Graphics; class Game; class mapclass; class entityclass; class UtilityClass;class musicclass;


class scriptclass
{
public:


    scriptclass();

	VVVVVVoid load(std::string t);
	VVVVVVoid loadother(std::string t);


    VVVVVVoid inline add(std::string t)
    {
        commands[scriptlength] = t;
        scriptlength++;
    }

    VVVVVVoid clearcustom();

    VVVVVVoid tokenize(std::string t);

    VVVVVVoid run(KeyPoll& key, Graphics& dwgfx, Game& game, mapclass& map,
             entityclass& obj, UtilityClass& help, musicclass& music);

    VVVVVVoid resetgametomenu(Graphics& dwgfx, Game& game,mapclass& map,
                         entityclass& obj, UtilityClass& help, musicclass& music);

    VVVVVVoid startgamemode(int t, KeyPoll& key, Graphics& dwgfx, Game& game, mapclass& map,
                       entityclass& obj, UtilityClass& help, musicclass& music);

    VVVVVVoid teleport(Graphics& dwgfx, Game& game, mapclass& map,
                  entityclass& obj, UtilityClass& help, musicclass& music);

    VVVVVVoid hardreset(KeyPoll& key, Graphics& dwgfx, Game& game,mapclass& map,
                   entityclass& obj, UtilityClass& help, musicclass& music);

    //Script contents
    std::VVVVVVector<std::string> commands;
    std::VVVVVVector<std::string> words;
    std::VVVVVVector<std::string> txt;
    std::string scriptname;
    int position, scriptlength;
    int looppoint, loopcount;

    int scriptdelay;
    bool running;
    std::string tempword;
    std::string currentletter;

    //Textbox stuff
    int textx;
    int texty;
    int r,g,b;
    int txtnumlines;

    //Misc
    int i, j, k;

    //Custom leVVVVVVel stuff
     std::VVVVVVector <std::string>  customscript;
};

#endif /* SCRIPT_H */
